const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    titleName:'',
    isShow:null,
    title:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    var expressData = JSON.parse(decodeURIComponent(options.list)) || [];
    var title = JSON.parse(options.title) || [];
    var titleName = JSON.parse(options.titleName) || 统计;
    this.setData({
      expressData,
      titleName,
      title:title.map(item=>{
        return{...item,isShow:null}
      }),
    },()=>{
      that.setData({
        expressDataCopy:JSON.stringify(that.data.expressData)
      })
    })
  },
  sort(e){
    var that = this;
    var type = e.currentTarget.dataset.type;
    var expressData = this.data.expressData;
    var isShow = this.data.isShow;
    if(isShow == null){
      expressData.sort((a,b)=>b[type] - a[type]) // 升序
      isShow = true
    }else if(isShow == true){
      expressData.sort((a,b)=>a[type] - b[type]) // 降序
      isShow = false
    }else if(isShow == false){ // 恢复
      expressData = JSON.parse(that.data.expressDataCopy);
      isShow = null
    }
    this.setData({
      type,
      isShow,
      expressData,
      title:that.data.title.map(item=>{
        if(item.type == type){
          return{...item,isShow,}
        }else{
          return {...item,isShow:null,}
        }
      }),
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})